// 将驼峰命名改为下划线
function camelToUnderscore(str) {
    return str.replace(/([A-Z])/g, '_$1').toLowerCase();
}

// 将下划线改为驼峰命名
function underscoreToCamel(str) {
  return str.replace(/_([a-z])/g, function (match, letter) {
    return letter.toUpperCase();
  });
}

// 将首字母转换为大写
function capitalizeFirstLetter(str) {
  return str.charAt(0).toUpperCase() + str.slice(1);
}

// 将首字母转换为小写
function lowercaseFirstLetter(str) {
  return str.charAt(0).toLowerCase() + str.slice(1);
}